import axios from 'axios'
import {Message} from 'element-ui'
import {saveAs} from 'file-saver'
import {getToken} from '@/benyun/utils/auth'
import errorCode from '@/benyun/utils/errorCode'
import {blobValidate} from "@/benyun/utils/benyuntech";

const baseURL = process.env.VUE_APP_BASE_API

export default {
  zip(url:string, name:string) {
    var url = baseURL + url
    axios({
      method: 'get',
      url: url,
      responseType: 'blob',
      headers: { 'Authorization': 'Bearer ' + getToken() }
    }).then(async (res) => {
      const isLogin = await blobValidate(res.data);
      if (isLogin) {
        const blob = new Blob([res.data], { type: 'application/zip' })
        this.saveAs(blob, name)
      } else {
        this.printErrMsg(res.data);
      }
    })
  },
  saveAs(text:any, name:any, opts?:any) {
    saveAs(text, name, opts);
  },
  async printErrMsg(data:any) {
    const resText = await data.text();
    const rspObj = JSON.parse(resText);
    const errMsg = errorCode[rspObj.code] || rspObj.msg || errorCode['default']
    Message.error(errMsg);
  }
}

